{
  "version": 8,
  "name": "Pupmap by BoopLabs v2025-10-03_1300",
  "sources": {
    "basemap": {
      "type": "vector",
      "url": "pmtiles://data/world.pmtiles"
    }
  },
  "layers": [
    {
      "id": "background",
      "type": "background",
      "paint": {
        "background-color": "#C6F1DC"
      }
    },
    {
      "id": "earth",
      "type": "fill",
      "source": "basemap",
      "source-layer": "earth",
      "paint": {
        "fill-color": "#97E3C1"
      }
    },
    {
      "id": "land",
      "type": "fill",
      "source": "basemap",
      "source-layer": "landcover",
      "paint": {
        "fill-color": "#C6F1DC"
      }
    },
    {
      "id": "landuse",
      "type": "fill",
      "source": "basemap",
      "source-layer": "landuse",
      "paint": {
        "fill-color": "#97E3C1"
      }
    },
    {
      "id": "water",
      "type": "fill",
      "source": "basemap",
      "source-layer": "water",
      "paint": {
        "fill-color": "#7CD5E9"
      }
    },
    {
      "id": "boundaries2",
      "type": "line",
      "source": "basemap",
      "source-layer": "boundaries",
      "paint": {
        "line-color": "#F08650",
        "line-width": 1
      }
    },
    {
      "id": "boundaries",
      "type": "line",
      "source": "basemap",
      "source-layer": "boundaries",
      "filter": [
          "<=",
          "pmap:min_admin_level", 
          1 
      ],
      "paint": {
        "line-color": "#000000",
        "line-width": 2
      }
    }
  ]
}

